## libheif 1.1.0

=== CMakeLists.txt ===
project (libheif)
cmake_minimum_required (VERSION 2.8.8)

# https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
cmake_policy(SET CMP0054 NEW)

# The version number.
set (NUMERIC_VERSION 0x01000000)
set (PACKAGE_VERSION 1.0.0)

include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)

CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(stddef.h HAVE_STDDEF_H)
CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)

if (HAVE_INTTYPES_H)
  add_definitions(-DHAVE_INTTYPES_H)
endif()
if (HAVE_STDDEF_H)
  add_definitions(-DHAVE_STDDEF_H)
endif()
if (HAVE_STRINGS_H)
  add_definitions(-DHAVE_STRINGS_H)
endif()
if (HAVE_UNISTD_H)
  add_definitions(-DHAVE_UNISTD_H)
endif()

configure_file (
  "${PROJECT_SOURCE_DIR}/src/heif-version.h.in"
  "${PROJECT_SOURCE_DIR}/src/heif-version.h"
)

if(CMAKE_COMPILER_IS_GNUCXX)
  set(GCC 1)
  add_definitions(-Wall)
  add_definitions(-Werror)
  add_definitions(-Wsign-compare)
  add_definitions(-Wconversion)
  add_definitions(-Wno-sign-conversion)
  set(CMAKE_CXX_FLAGS "-std=gnu++0x ${CMAKE_CXX_FLAGS}")
elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  add_definitions(-Wall)
  add_definitions(-Werror)
  add_definitions(-Wsign-compare)
  add_definitions(-Wconversion)
  add_definitions(-Wno-sign-conversion)
  set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
endif()

include_directories ("${PROJECT_SOURCE_DIR}/src")

if(UNIX)
  set(LIBHEIF_LIBRARY_NAME heif)
else()
  set(LIBHEIF_LIBRARY_NAME libheif)
endif()

add_subdirectory (examples)
add_subdirectory (src)

=== examples/CMakeLists.txt ===
set (heif_convert_sources
  encoder.cc
  encoder.h
  heif_convert.cc
)

include (${CMAKE_ROOT}/Modules/FindJPEG.cmake)

if(JPEG_FOUND)
add_definitions(-DHAVE_LIBJPEG=1)
set (heif_convert_sources
  ${heif_convert_sources}
  encoder_jpeg.cc
  encoder_jpeg.h
)
endif()

if(UNIX)
  include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
  pkg_check_modules (LIBPNG libpng)
  if(LIBPNG_FOUND)
    add_definitions(-DHAVE_LIBPNG=1)
    set (heif_convert_sources
      ${heif_convert_sources}
      encoder_png.cc
      encoder_png.h
    )
  endif()
endif()

set (heif_info_sources
  heif_info.cc
)

set (heif_enc_sources
  heif_enc.cc
)

if(MSVC)
  set (heif_convert_sources
    ${heif_convert_sources}
    ../extra/getopt.c
    ../extra/getopt.h
    ../extra/getopt_long.c
  )
  set (heif_info_sources
    ${heif_info_sources}
    ../extra/getopt.c
    ../extra/getopt.h
    ../extra/getopt_long.c
  )
  set (heif_enc_sources
    ${heif_enc_sources}
    ../extra/getopt.c
    ../extra/getopt.h
    ../extra/getopt_long.c
  )
  include_directories ("../extra")
endif()

add_executable (heif-convert ${heif_convert_sources})
target_link_libraries (heif-convert ${LIBHEIF_LIBRARY_NAME} ${JPEG_LIBRARIES} ${LIBPNG_LIBRARIES})

add_executable (heif-info ${heif_info_sources})
target_link_libraries (heif-info ${LIBHEIF_LIBRARY_NAME})

add_executable (heif-enc ${heif_enc_sources})
target_link_libraries (heif-enc ${LIBHEIF_LIBRARY_NAME} ${JPEG_LIBRARIES} ${LIBPNG_LIBRARIES})

=== src/CMakeLists.txt ===
set (libheif_sources
bitstream.h
bitstream.cc
box.cc
box.h
error.cc
error.h
heif_api_structs.h
heif.cc
heif_context.cc
heif_context.h
heif_file.cc
heif_file.h
heif.h
heif_image.cc
heif_image.h
heif_hevc.h
heif_hevc.cc
heif_plugin_registry.h
heif_plugin_registry.cc
heif_limits.h
heif_plugin.h
heif_plugin.cc
heif-version.h
logging.h
)

if(UNIX)
  include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
  pkg_check_modules (LIBDE265 libde265)
  pkg_check_modules (X265 x265)
endif()

if(LIBDE265_FOUND)
  add_definitions(-DHAVE_LIBDE265=1)
  set (libheif_sources
    ${libheif_sources}
    heif_decoder_libde265.cc
    heif_decoder_libde265.h
  )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LIBDE265_CFLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBDE265_CFLAGS}")
endif()

if(X265_FOUND)
  add_definitions(-DHAVE_X265=1)
  set (libheif_sources
    ${libheif_sources}
    heif_encoder_x265.cc
    heif_encoder_x265.h
  )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${X265_CFLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${X265_CFLAGS}")
endif()

# set(CMAKE_VERBOSE_MAKEFILE on)

add_definitions(-DHAVE_VISIBILITY)
add_definitions(-DLIBHEIF_EXPORTS)

add_library(${LIBHEIF_LIBRARY_NAME} SHARED ${libheif_sources})
if(LIBDE265_FOUND)
  target_link_libraries(${LIBHEIF_LIBRARY_NAME} ${LIBDE265_LIBRARIES})
endif()
if(X265_FOUND)
  target_link_libraries(${LIBHEIF_LIBRARY_NAME} ${X265_LIBRARIES})
endif()
if(CMAKE_COMPILER_IS_GNUCXX)
  set_target_properties(${LIBHEIF_LIBRARY_NAME} PROPERTIES CXX_VISIBILITY_PRESET hidden)
endif()

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(${LIBHEIF_LIBRARY_NAME} PROPERTIES COMPILE_FLAGS "-fPIC")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

=== debian/changelog ===
libheif (1.1.0-2) unstable; urgency=medium

  * Add patch to fix compile errors on mips, ppc and other platforms.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 19 Apr 2018 09:04:15 +0200

libheif (1.1.0-1) unstable; urgency=medium

  [ Joachim Bauch ]
  * d/control: Set Maintainer to Debian Multimedia Maintainers
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Joachim Bauch ]
  * Use default branch/tag names.
  * Imported Upstream version 1.1.0
  * Add dependency on "libx265-dev".
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Wed, 18 Apr 2018 16:28:10 +0200

libheif (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #888278)

 -- Joachim Bauch <bauch@struktur.de>  Sun, 18 Mar 2018 14:55:50 +0100

=== debian/control ===
Source: libheif
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Joachim Bauch <bauch@struktur.de>
Build-Depends:
 debhelper (>= 10),
 libde265-dev,
 libjpeg-dev,
 libpng-dev,
 libx265-dev,
 pkg-config
Standards-Version: 4.1.3
Homepage: http://www.libheif.org
Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

Package: libheif1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - shared library
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 This package contains the shared library.

Package: libheif-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libheif1 (= ${binary:Version}),
 ${misc:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - development files
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 The development headers for compiling programs that use libheif are provided
 by this package.

Package: libheif-examples
Section: video
Architecture: any
Depends:
 libheif1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - examples
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 Sample applications using libheif are provided by this package.

## libheif 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,8 @@
 endif()
 
 configure_file (
-  "${PROJECT_SOURCE_DIR}/src/heif-version.h.in"
-  "${PROJECT_SOURCE_DIR}/src/heif-version.h"
+  "${PROJECT_SOURCE_DIR}/libheif/heif_version.h.in"
+  "${PROJECT_SOURCE_DIR}/libheif/heif_version.h"
 )
 
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -41,6 +41,7 @@
   add_definitions(-Wsign-compare)
   add_definitions(-Wconversion)
   add_definitions(-Wno-sign-conversion)
+  add_definitions(-Wno-error=conversion)
   set(CMAKE_CXX_FLAGS "-std=gnu++0x ${CMAKE_CXX_FLAGS}")
 elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
   add_definitions(-Wall)
@@ -48,10 +49,11 @@
   add_definitions(-Wsign-compare)
   add_definitions(-Wconversion)
   add_definitions(-Wno-sign-conversion)
+  add_definitions(-Wno-error=conversion)
   set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
 endif()
 
-include_directories ("${PROJECT_SOURCE_DIR}/src")
+include_directories ("${PROJECT_SOURCE_DIR}")
 
 if(UNIX)
   set(LIBHEIF_LIBRARY_NAME heif)
@@ -60,4 +62,4 @@
 endif()
 
 add_subdirectory (examples)
-add_subdirectory (src)
+add_subdirectory (libheif)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,10 @@
   heif_enc.cc
 )
 
+set (heif_test_sources
+  heif_test.cc
+)
+
 if(MSVC)
   set (heif_convert_sources
     ${heif_convert_sources}
@@ -55,6 +59,12 @@
     ../extra/getopt.h
     ../extra/getopt_long.c
   )
+  set (heif_test_sources
+    ${heif_test_sources}
+    ../extra/getopt.c
+    ../extra/getopt.h
+    ../extra/getopt_long.c
+  )
   include_directories ("../extra")
 endif()
 
@@ -66,3 +76,20 @@
 
 add_executable (heif-enc ${heif_enc_sources})
 target_link_libraries (heif-enc ${LIBHEIF_LIBRARY_NAME} ${JPEG_LIBRARIES} ${LIBPNG_LIBRARIES})
+
+add_executable (heif-test ${heif_test_sources})
+target_link_libraries (heif-test ${LIBHEIF_LIBRARY_NAME})
+
+
+if(LIBPNG_FOUND)
+  set (heif_thumbnailer_sources
+    encoder.cc
+    encoder.h
+    heif_thumbnailer.cc
+    encoder_png.cc
+    encoder_png.h
+    )
+
+  add_executable (heif-thumbnailer ${heif_thumbnailer_sources})
+  target_link_libraries (heif-thumbnailer ${LIBHEIF_LIBRARY_NAME} ${LIBPNG_LIBRARIES})
+endif()

=== libheif/CMakeLists.txt ===
set (libheif_sources
bitstream.h
bitstream.cc
box.cc
box.h
error.cc
error.h
heif_api_structs.h
heif.cc
heif_context.cc
heif_context.h
heif_file.cc
heif_file.h
heif.h
heif_image.cc
heif_image.h
heif_hevc.h
heif_hevc.cc
heif_plugin_registry.h
heif_plugin_registry.cc
heif_limits.h
heif_plugin.h
heif_plugin.cc
heif_version.h
logging.h
)

if(UNIX)
  include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
  pkg_check_modules (LIBDE265 libde265)
  pkg_check_modules (X265 x265)
endif()

if(LIBDE265_FOUND)
  add_definitions(-DHAVE_LIBDE265=1)
  set (libheif_sources
    ${libheif_sources}
    heif_decoder_libde265.cc
    heif_decoder_libde265.h
  )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LIBDE265_CFLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBDE265_CFLAGS}")
endif()

if(X265_FOUND)
  add_definitions(-DHAVE_X265=1)
  set (libheif_sources
    ${libheif_sources}
    heif_encoder_x265.cc
    heif_encoder_x265.h
  )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${X265_CFLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${X265_CFLAGS}")
endif()

# set(CMAKE_VERBOSE_MAKEFILE on)

add_definitions(-DHAVE_VISIBILITY)
add_definitions(-DLIBHEIF_EXPORTS)

add_library(${LIBHEIF_LIBRARY_NAME} SHARED ${libheif_sources})
if(LIBDE265_FOUND)
  target_link_libraries(${LIBHEIF_LIBRARY_NAME} ${LIBDE265_LIBRARIES})
endif()
if(X265_FOUND)
  target_link_libraries(${LIBHEIF_LIBRARY_NAME} ${X265_LIBRARIES})
endif()
if(CMAKE_COMPILER_IS_GNUCXX)
  set_target_properties(${LIBHEIF_LIBRARY_NAME} PROPERTIES CXX_VISIBILITY_PRESET hidden)
endif()

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  SET_TARGET_PROPERTIES(${LIBHEIF_LIBRARY_NAME} PROPERTIES COMPILE_FLAGS "-fPIC")
endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")

=== debian/changelog ===
libheif (1.3.2-2~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 07 Jun 2019 20:19:26 +0200

libheif (1.3.2-2) unstable; urgency=medium

  * Team Upload
  
  [ Dylan Aïssi ]
  * Add patch to fix CVE-2019-11471, Closes: #928210

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Jun 2019 17:56:05 -0400

libheif (1.3.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.2
  * Update "Standards-Version" to 4.1.4
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 21 Jun 2018 15:40:05 +0200

libheif (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Joachim Bauch ]
  * Imported Upstream version 1.2.0
  * Remove patch now in upstream.
  * Update symbols for new upstream version.
  * Add new package "heif-thumbnailer".

 -- Joachim Bauch <bauch@struktur.de>  Mon, 28 May 2018 16:12:56 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
@@ -57,3 +57,18 @@
  ratios currently possible.
  .
  Sample applications using libheif are provided by this package.
+
+Package: heif-thumbnailer
+Section: graphics
+Architecture: any
+Depends:
+ libheif1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: ISO/IEC 23008-12:2017 HEIF file format decoder - thumbnailer
+ libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
+ image file format employing HEVC (h.265) image coding for the best compression
+ ratios currently possible.
+ .
+ A thumbnailer for HEIF images that can be used by Nautilus is provided by this
+ package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PKD = $(abspath $(dir $(MAKEFILE_LIST)))
PKG = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER = $(shell dpkg-parsechangelog -l$(PKD)/changelog | grep "^Version:" | sed "s/^Version:\s\+\(\d:\)\?\([^\+\-]\+\).*/\2/g")
COMMIT = $(shell git log -1 --pretty=%h)

%:
	dh $@

UURL = git://github.com/strukturag/libheif.git
DATE = $(shell date --utc +%Y%m%d%H%M%S)
get-head-source:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting.))
	@echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(VER) \
		|| $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	&& echo "# Checking out commit $(COMMIT)..." \
	&& git checkout -q $(COMMIT) \
	&& echo "# Setting times..." \
	&& git ls-tree -r --name-only HEAD | while read F ; do touch --no-dereference -d "$$(git log -1 --format="%ai" -- "$$F")" "$$F"; done \
	&& $(RM) -r .git .git*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
		| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)+$(DATE)+git$(COMMIT).orig.tar.xz" -T- --transform "s/$(PKG)-$(VER)/$(PKG)_$(VER)+$(DATE)+git$(COMMIT)/g" --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

## libheif 1.4.0

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,43 @@
 set (heif_convert_sources
   encoder.cc
   encoder.h
+  encoder_y4m.cc
+  encoder_y4m.h
   heif_convert.cc
 )
+
+set (additional_libraries)
 
 include (${CMAKE_ROOT}/Modules/FindJPEG.cmake)
 
 if(JPEG_FOUND)
 add_definitions(-DHAVE_LIBJPEG=1)
+
+include (${CMAKE_ROOT}/Modules/CheckCXXSourceCompiles.cmake)
+
+set(CMAKE_REQUIRED_LIBRARIES ${JPEG_LIBRARIES})
+check_cxx_source_compiles("
+#include <stddef.h>
+#include <stdio.h>
+#include <jpeglib.h>
+
+int main() {
+  jpeg_write_icc_profile(NULL, NULL, 0);
+  return 0;
+}
+" HAVE_JPEG_WRITE_ICC_PROFILE)
+if(HAVE_JPEG_WRITE_ICC_PROFILE)
+  add_definitions(-DHAVE_JPEG_WRITE_ICC_PROFILE=1)
+endif()
+
 set (heif_convert_sources
   ${heif_convert_sources}
   encoder_jpeg.cc
   encoder_jpeg.h
+)
+set (additional_libraries
+  ${additional_libraries}
+  ${JPEG_LIBRARIES}
 )
 endif()
 
@@ -24,6 +50,10 @@
       ${heif_convert_sources}
       encoder_png.cc
       encoder_png.h
+    )
+    set (additional_libraries
+      ${additional_libraries}
+      ${LIBPNG_LIBRARIES}
     )
   endif()
 endif()
@@ -69,13 +99,13 @@
 endif()
 
 add_executable (heif-convert ${heif_convert_sources})
-target_link_libraries (heif-convert ${LIBHEIF_LIBRARY_NAME} ${JPEG_LIBRARIES} ${LIBPNG_LIBRARIES})
+target_link_libraries (heif-convert ${LIBHEIF_LIBRARY_NAME} ${additional_libraries})
 
 add_executable (heif-info ${heif_info_sources})
 target_link_libraries (heif-info ${LIBHEIF_LIBRARY_NAME})
 
 add_executable (heif-enc ${heif_enc_sources})
-target_link_libraries (heif-enc ${LIBHEIF_LIBRARY_NAME} ${JPEG_LIBRARIES} ${LIBPNG_LIBRARIES})
+target_link_libraries (heif-enc ${LIBHEIF_LIBRARY_NAME} ${additional_libraries})
 
 add_executable (heif-test ${heif_test_sources})
 target_link_libraries (heif-test ${LIBHEIF_LIBRARY_NAME})

=== debian/changelog ===
libheif (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches: Apply upstream fixes for CVE-2019-11471. (Closes: #928210)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jul 2019 15:37:07 +0200

libheif (1.4.0-1) experimental; urgency=medium

  * Imported Upstream version 1.4.0
  * Add new package containing the gdk-pixbuf loader.
  * Update "Standards-Version" to 4.3.0
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 02 Apr 2019 10:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends:
  debhelper (>= 10),
  libde265-dev,
+ libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
@@ -72,3 +73,18 @@
  .
  A thumbnailer for HEIF images that can be used by Nautilus is provided by this
  package.
+
+Package: heif-gdk-pixbuf
+Section: graphics
+Architecture: any
+Depends:
+ libheif1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: ISO/IEC 23008-12:2017 HEIF file format decoder - gdk-pixbuf loader
+ libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
+ image file format employing HEVC (h.265) image coding for the best compression
+ ratios currently possible.
+ .
+ A gdk-pixbuf loader module for applications such as "gpicview" and "pcmanfm"
+ is provided by this package.

## libheif 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 cmake_policy(SET CMP0054 NEW)
 
 # The version number.
-set (NUMERIC_VERSION 0x01000000)
-set (PACKAGE_VERSION 1.0.0)
+set (NUMERIC_VERSION 0x01040000)
+set (PACKAGE_VERSION 1.4.0)
 
 include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
 include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
@@ -53,6 +53,13 @@
   set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
 endif()
 
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG(-Wno-error=potentially-evaluated-expression has_potentially_evaluated_expression)
+if (has_potentially_evaluated_expression)
+#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=potentially-evaluated-expression")
+  add_definitions(-Wno-error=potentially-evaluated-expression)
+endif()
+
 include_directories ("${PROJECT_SOURCE_DIR}")
 
 if(UNIX)
@@ -63,3 +70,4 @@
 
 add_subdirectory (examples)
 add_subdirectory (libheif)
+add_subdirectory (gdk-pixbuf)

=== debian/changelog ===
libheif (1.5.0-1build1) eoan; urgency=medium

  * No-change rebuild against libx265-176

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Aug 2019 22:35:57 +0000

libheif (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Joachim Bauch ]
  * Imported Upstream version 1.5.0
  * Update symbols for new upstream version.
  * Add copyright entries for new files in test/
  * Add missing copyright entry for files in scripts/
  * The examples are MIT licensed since 1.4.0
  * Remove patches no longer needed (fixed upstream).

  [ Mattia Rizzolo ]
  * Drop now unneeded debian/source/include-binaries

 -- Joachim Bauch <bauch@struktur.de>  Fri, 16 Aug 2019 16:29:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: libheif
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  libde265-dev,
  libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

## libheif 1.6.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3.2)

project (heif
    LANGUAGES C CXX
    VERSION 1.6.1.0
)

# https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
cmake_policy(SET CMP0054 NEW)
include(GNUInstallDirs)

# The version number.
set (PACKAGE_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})

configure_file ("libheif/heif_version.h.in" "libheif/heif_version.h")


# Check for unistd.h

include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)

CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)

if (HAVE_UNISTD_H)
  add_definitions(-DHAVE_UNISTD_H)
endif()


if(NOT MSVC)
  add_definitions(-Wall)
  add_definitions(-Werror)
  add_definitions(-Wsign-compare)
  add_definitions(-Wconversion)
  add_definitions(-Wno-sign-conversion)
  add_definitions(-Wno-error=conversion)
  add_definitions(-Wno-error=unused-parameter)
  add_definitions(-Wno-error=deprecated-declarations)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG(-Wno-error=potentially-evaluated-expression has_potentially_evaluated_expression)
if (has_potentially_evaluated_expression)
  add_definitions(-Wno-error=potentially-evaluated-expression)
endif()

include_directories ("${PROJECT_SOURCE_DIR}")

add_subdirectory (examples)
add_subdirectory (libheif)
add_subdirectory (gdk-pixbuf)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Needed to find libheif/heif_version.h while compiling the library
+include_directories(${PROJECT_BINARY_DIR})
+
 set (heif_convert_sources
   encoder.cc
   encoder.h
@@ -71,26 +74,7 @@
 )
 
 if(MSVC)
-  set (heif_convert_sources
-    ${heif_convert_sources}
-    ../extra/getopt.c
-    ../extra/getopt.h
-    ../extra/getopt_long.c
-  )
-  set (heif_info_sources
-    ${heif_info_sources}
-    ../extra/getopt.c
-    ../extra/getopt.h
-    ../extra/getopt_long.c
-  )
-  set (heif_enc_sources
-    ${heif_enc_sources}
-    ../extra/getopt.c
-    ../extra/getopt.h
-    ../extra/getopt_long.c
-  )
-  set (heif_test_sources
-    ${heif_test_sources}
+  set (getopt_sources
     ../extra/getopt.c
     ../extra/getopt.h
     ../extra/getopt_long.c
@@ -98,17 +82,17 @@
   include_directories ("../extra")
 endif()
 
-add_executable (heif-convert ${heif_convert_sources})
-target_link_libraries (heif-convert ${LIBHEIF_LIBRARY_NAME} ${additional_libraries})
+add_executable (heif-convert ${heif_convert_sources} ${getopt_sources})
+target_link_libraries (heif-convert ${PROJECT_NAME} ${additional_libraries})
 
-add_executable (heif-info ${heif_info_sources})
-target_link_libraries (heif-info ${LIBHEIF_LIBRARY_NAME})
+add_executable (heif-info ${heif_info_sources} ${getopt_sources})
+target_link_libraries (heif-info ${PROJECT_NAME})
 
-add_executable (heif-enc ${heif_enc_sources})
-target_link_libraries (heif-enc ${LIBHEIF_LIBRARY_NAME} ${additional_libraries})
+add_executable (heif-enc ${heif_enc_sources} ${getopt_sources})
+target_link_libraries (heif-enc ${PROJECT_NAME} ${additional_libraries})
 
-add_executable (heif-test ${heif_test_sources})
-target_link_libraries (heif-test ${LIBHEIF_LIBRARY_NAME})
+add_executable (heif-test ${heif_test_sources} ${getopt_sources})
+target_link_libraries (heif-test ${PROJECT_NAME})
 
 
 if(LIBPNG_FOUND)
@@ -121,5 +105,5 @@
     )
 
   add_executable (heif-thumbnailer ${heif_thumbnailer_sources})
-  target_link_libraries (heif-thumbnailer ${LIBHEIF_LIBRARY_NAME} ${LIBPNG_LIBRARIES})
+  target_link_libraries (heif-thumbnailer ${PROJECT_NAME} ${LIBPNG_LIBRARIES})
 endif()

=== gdk-pixbuf/CMakeLists.txt ===
if(UNIX)
  include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
  pkg_check_modules (GDKPIXBUF2 gdk-pixbuf-2.0)

  if(GDKPIXBUF2_FOUND)
    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} gdk-pixbuf-2.0 --variable gdk_pixbuf_moduledir OUTPUT_VARIABLE GDKPIXBUF2_MODULE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_library(pixbufloader-heif MODULE pixbufloader-heif.c)

    target_include_directories(pixbufloader-heif PRIVATE ${GDKPIXBUF2_INCLUDE_DIRS})
    target_link_libraries(pixbufloader-heif PUBLIC ${GDKPIXBUF2_LIBRARIES} ${LIBHEIF_LIBRARY_NAME})

    install(TARGETS pixbufloader-heif LIBRARY DESTINATION ${GDKPIXBUF2_MODULE_DIR})
  endif()
endif()

=== libheif/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

if(UNIX)
  include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
  pkg_check_modules (LIBDE265 libde265)
  pkg_check_modules (X265 x265)
endif()

set(libheif_headers
    bitstream.h
    box.h
    error.h
    heif_api_structs.h
    heif_context.h
    heif_file.h
    heif.h
    heif_image.h
    heif_hevc.h
    heif_colorconversion.h
    heif_plugin_registry.h
    heif_limits.h
    heif_plugin.h
    logging.h
    ${PROJECT_BINARY_DIR}/libheif/heif_version.h
)

add_library(${PROJECT_NAME}
    bitstream.cc
    box.cc
    error.cc
    heif.cc
    heif_context.cc
    heif_file.cc
    heif_image.cc
    heif_hevc.cc
    heif_colorconversion.cc
    heif_plugin_registry.cc
    heif_plugin.cc
    ${libheif_headers}
)

# Needed to find libheif/heif_version.h while compiling the library
target_include_directories(${PROJECT_NAME} PRIVATE ${PROJECT_BINARY_DIR})

# Propagate include/libheif to consume the headers from other projects
target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/${PROJECT_NAME}>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)

target_compile_definitions(${PROJECT_NAME}
    PUBLIC 
        LIBHEIF_EXPORTS
        HAVE_VISIBILITY
)

if(LIBDE265_FOUND)
    target_compile_definitions(${PROJECT_NAME} PRIVATE HAVE_LIBDE265=1)
    target_sources(${PROJECT_NAME} PRIVATE
        heif_decoder_libde265.cc
        heif_decoder_libde265.h
    )

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBDE265_CFLAGS}")

    if (NOT "${LIBDE265_LIBRARY_DIRS}" STREQUAL "")
        set(LIBDE265_LINKDIR "-L${LIBDE265_LIBRARY_DIRS}")
    endif()

    target_link_libraries(${PROJECT_NAME} PRIVATE ${LIBDE265_LIBRARIES} ${LIBDE265_LINKDIR})

    install(FILES heif_decoder_libde265.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

if(X265_FOUND)
    target_compile_definitions(${PROJECT_NAME} PRIVATE HAVE_X265=1)
    target_sources(${PROJECT_NAME} PRIVATE
        heif_encoder_x265.cc
        heif_encoder_x265.h
    )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${X265_CFLAGS}")

    if (NOT "${X265_LIBRARY_DIRS}" STREQUAL "")
        set(X265_LINKDIR "-L${X265_LIBRARY_DIRS}")
    endif()

    target_link_libraries(${PROJECT_NAME} PRIVATE ${X265_LIBRARIES} ${X265_LINKDIR})

    install(FILES heif_encoder_x265.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake COMPATIBILITY ExactVersion)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}-config
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${libheif_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

install(EXPORT ${PROJECT_NAME}-config DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

=== debian/changelog ===
libheif (1.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:59 +0100

libheif (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1

 -- Joachim Bauch <bauch@struktur.de>  Fri, 20 Dec 2019 10:31:19 +0100

libheif (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Joachim Bauch ]
  * Imported Upstream version 1.6.0
  * Update symbls for new upstream version.
  * Install man pages.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 08 Nov 2019 14:23:21 +0100

libheif (1.5.1-1) unstable; urgency=medium

  * Imported Upstream version 1.5.1
  * Update to debhelper compat level 12 and add debian/not-installed
  * Enable hardening.
  * Stop parsing changelog manually.
  * Fix "get-head-source" and don't include date in filename.
  * Specify "Build-Depends-Package" in symbols.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 30 Aug 2019 10:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: libheif
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  libde265-dev,
  libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libheif-$1\.tar\.gz/,\
downloadurlmangle=s/.+\/v?(\d\S*)\.tar\.gz/https:\/\/github\.com\/strukturag\/libheif\/releases\/download\/v$1\/libheif-$1\.tar\.gz/ \
  https://github.com/strukturag/libheif/tags .*/v?(\d\S*)\.tar\.gz

## libheif 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,8 @@
 cmake_minimum_required (VERSION 3.3.2)
 
-project (heif
-    LANGUAGES C CXX
-    VERSION 1.6.1.0
-)
+project(libheif LANGUAGES C CXX VERSION 1.8.0.0)
+
+option(USE_LOCAL_RAV1E "Include rav1e support from local rav1e source" FALSE)
 
 # https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
 cmake_policy(SET CMP0054 NEW)
@@ -11,9 +10,6 @@
 
 # The version number.
 set (PACKAGE_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
-
-configure_file ("libheif/heif_version.h.in" "libheif/heif_version.h")
-
 
 # Check for unistd.h
 
@@ -46,6 +42,9 @@
 
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
+# Create the compile command database for clang by default
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
 option(BUILD_SHARED_LIBS "Build shared libraries" ON)
 
 include(CheckCXXCompilerFlag)
@@ -54,8 +53,62 @@
   add_definitions(-Wno-error=potentially-evaluated-expression)
 endif()
 
-include_directories ("${PROJECT_SOURCE_DIR}")
+LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
+find_package(Libde265 REQUIRED)
+find_package(X265)
+find_package(LibAOM)
 
-add_subdirectory (examples)
+if (LIBDE265_FOUND)
+    message("HEIF decoder, libde265: found")
+else ()
+    message("HEIF decoder, libde265: not found")
+endif ()
+
+if (X265_FOUND)
+    message("HEIF encoder, x265: found")
+else ()
+    message("HEIF encoder, x265: not found")
+endif ()
+
+if (AOM_FOUND)
+    message("AVIF decoder/encoder, aom: found")
+else ()
+    message("AVIF decoder/encoder, aom: not found")
+endif ()
+
+if (USE_LOCAL_RAV1E)
+    message("AVIF encoder, use local rav1e: yes")
+else ()
+    message("AVIF encoder, use local rav1e: no")
+endif ()
+
+
+# Create libheif pkgconfig file
+set(prefix ${CMAKE_INSTALL_PREFIX})
+set(exec_prefix ${CMAKE_INSTALL_PREFIX})
+set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
+set(includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR})
+if (LIBDE265_FOUND)
+    set(have_libde265 yes)
+else()
+    set(have_libde265 no)
+endif()
+if (X265_FOUND)
+    set(have_x265 yes)
+else()
+    set(have_x265 no)
+endif()
+set(VERSION ${PROJECT_VERSION})
+
+configure_file(libheif.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
+option(WITH_EXAMPLES "Build examples" ON)
+
+if(WITH_EXAMPLES)
+    add_subdirectory (examples)
+endif()
 add_subdirectory (libheif)
 add_subdirectory (gdk-pixbuf)

=== gdk-pixbuf/CMakeLists.txt ===
if(UNIX)
  find_package(PkgConfig)
  pkg_check_modules(GDKPIXBUF2 gdk-pixbuf-2.0)

  if(GDKPIXBUF2_FOUND)
    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} gdk-pixbuf-2.0 --variable gdk_pixbuf_moduledir --define-variable=prefix=${CMAKE_INSTALL_PREFIX} OUTPUT_VARIABLE GDKPIXBUF2_MODULE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_library(pixbufloader-heif MODULE pixbufloader-heif.c)

    target_include_directories(pixbufloader-heif
                               PRIVATE
                                   ${GDKPIXBUF2_INCLUDE_DIRS}
                                   ${libheif_BINARY_DIR}
                                   ${libheif_SOURCE_DIR})
    target_link_libraries(pixbufloader-heif PUBLIC ${GDKPIXBUF2_LIBRARIES} heif)

    install(TARGETS pixbufloader-heif LIBRARY DESTINATION ${GDKPIXBUF2_MODULE_DIR})
  endif()
endif()

=== libheif/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

configure_file(heif_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/heif_version.h)

set(libheif_headers
    bitstream.h
    box.h
    error.h
    heif_api_structs.h
    heif_context.h
    heif_cxx.h
    heif_file.h
    heif.h
    heif_image.h
    heif_hevc.h
    heif_avif.h
    heif_colorconversion.h
    heif_plugin_registry.h
    heif_limits.h
    heif_plugin.h
    nclx.h
    logging.h
    ${CMAKE_CURRENT_BINARY_DIR}/heif_version.h)

add_library(heif
    bitstream.cc
    box.cc
    error.cc
    heif.cc
    heif_context.cc
    heif_file.cc
    heif_image.cc
    heif_hevc.cc
    heif_avif.cc
    heif_colorconversion.cc
    heif_plugin_registry.cc
    heif_plugin.cc
    nclx.cc
    ${libheif_headers}
)

# Needed to find libheif/heif_version.h while compiling the library
target_include_directories(heif PRIVATE ${libheif_BINARY_DIR} ${libheif_SOURCE_DIR})

# Propagate include/libheif to consume the headers from other projects
target_include_directories(heif
                           PUBLIC
                               $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/${PROJECT_NAME}>
                               $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
                               $<INSTALL_INTERFACE:include>)

set_target_properties(heif
                      PROPERTIES
                          VERSION ${PROJECT_VERSION}
                          SOVERSION ${PROJECT_VERSION_MAJOR})

target_compile_definitions(heif
                           PUBLIC
                               LIBHEIF_EXPORTS
                               HAVE_VISIBILITY)

if(LIBDE265_FOUND)
    target_compile_definitions(heif PRIVATE HAVE_LIBDE265=1)
    target_sources(heif
                   PRIVATE
                       heif_decoder_libde265.cc
                       heif_decoder_libde265.h)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBDE265_CFLAGS}")

    if (NOT "${LIBDE265_LIBRARY_DIRS}" STREQUAL "")
        set(LIBDE265_LINKDIR "-L${LIBDE265_LIBRARY_DIRS}")
    endif()

    include_directories(SYSTEM ${LIBDE265_INCLUDE_DIR})
    target_link_libraries(heif PRIVATE ${LIBDE265_LIBRARIES} ${LIBDE265_LINKDIR})

    install(FILES heif_decoder_libde265.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

if(X265_FOUND)
    target_compile_definitions(heif PRIVATE HAVE_X265=1)
    target_sources(heif PRIVATE
        heif_encoder_x265.cc
        heif_encoder_x265.h
    )

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${X265_CFLAGS}")

    if (NOT "${X265_LIBRARY_DIRS}" STREQUAL "")
        set(X265_LINKDIR "-L${X265_LIBRARY_DIRS}")
    endif()

    include_directories(SYSTEM ${X265_INCLUDE_DIR})
    target_link_libraries(heif PRIVATE ${X265_LIBRARIES} ${X265_LINKDIR})

    install(FILES heif_encoder_x265.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

if(AOM_FOUND)
  target_compile_definitions(heif PRIVATE HAVE_AOM=1)
  target_sources(heif PRIVATE
    heif_decoder_aom.cc
    heif_decoder_aom.h
    heif_encoder_aom.cc
    heif_encoder_aom.h
  )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${AOM_CFLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${AOM_CFLAGS}")

  if (NOT "${AOM_LIBRARY_DIRS}" STREQUAL "")
    set(AOM_LINKDIR "-L${AOM_LIBRARY_DIRS}")
  endif()

  target_link_libraries(heif PRIVATE ${AOM_LIBRARIES} ${AOM_LINKDIR})
endif()

if(USE_LOCAL_RAV1E)
    target_compile_definitions(heif PRIVATE HAVE_RAV1E=1)
    target_sources(heif PRIVATE
            heif_encoder_rav1e.cc
            heif_encoder_rav1e.h
            )
    target_include_directories(heif PRIVATE ${CMAKE_SOURCE_DIR}/third-party/rav1e/target/release/include)
    target_link_libraries(heif PRIVATE ${CMAKE_SOURCE_DIR}/third-party/rav1e/target/release/librav1e.a)
endif()

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake COMPATIBILITY ExactVersion)

install(TARGETS heif EXPORT ${PROJECT_NAME}-config
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${libheif_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

install(EXPORT ${PROJECT_NAME}-config DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

=== debian/changelog ===
libheif (1.8.0-1) unstable; urgency=medium

  * Add "Rules-Requires-Root", no root necessary.
  * Imported Upstream version 1.8.0
  * Update symbols for new upstream version.
  * Build with "libaom-dev" to get AVIF support.
  * Update "Standards-Version" to 4.5.0

 -- Joachim Bauch <bauch@struktur.de>  Thu, 27 Aug 2020 16:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
  debhelper-compat (= 12),
+ libaom-dev,
  libde265-dev,
  libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
